Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List the meta information of the given elements of a version.

List the meta information of the given elements of a version. Get meta information of multiple process elements in warehouse.

Security: Any user holding a Bpanda licence for the process space; with processVersionId set the caller additionally needs read access to that version. Elements of an invalid version are only returned to an owner, whitelistee, Manager or Designer of the process.

POST/v1/warehouses/{warehouseId}/processes/{processId}/elementinfos
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

processIdstringrequired

ID of process

Query parameters
processVersionIdinteger<int32>

ID of process version

Request body
requiredapplication/json

IDs of process elements; an empty list yields an empty result

idsstring[]required
Responses
200

Process meta information for multiple processes; Possible "validState" values are UNKNOWN, VALID, INVALID, UPCOMING, GONE

Array of ProcessElementInfo
descriptionsDescription[]required
Show properties
Array of Description
textFormattedText[]required
Show properties
Array of FormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textstringrequired
titlestringrequired
idstringrequired
kindSPMKindrequired
Allowed:ACTIVITYBOUNDARYCALLCANCELEVENTCOLLABORATIONCOMPENSATEEVENTCONDITIONALEVENTDATADATAINPUTDATAOUTPUTDATASTOREDECISIONENDERROREVENTESCALATIONEVENTEVENTLINKEVENTMESSAGEEVENTMESSAGEFLOWPARALLELPARTICIPANTPROCESSRECEIVEROLESENDSIGNALEVENTSTARTSTORESUBPROCESSTERMINATEEVENTTIMEREVENTTRANSITION
langstringrequired
textstring
titlestring
typestringrequired
validityValidity
Show properties
fromstringrequired
untilstringrequired
validityStateValidityStaterequired
Allowed:GONEINVALIDNEXTPREVIOUSUNKNOWNUPCOMINGVALID
403

Forbidden: insufficient permissions

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/processes/string/elementinfos' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
Response
[
  {
    "descriptions": [
      {
        "text": [
          {
            "format": "BBCode",
            "text": "string"
          }
        ],
        "title": "string"
      }
    ],
    "id": "string",
    "kind": "ACTIVITY",
    "lang": "string",
    "text": "string",
    "title": "string",
    "type": "string",
    "validity": {
      "from": "string",
      "until": "string"
    },
    "validityState": "GONE"
  }
]